package com.infosys.propertyeditor.ui.formattedtable;

import javax.swing.JTable;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableColumn;
import javax.swing.table.TableModel;

public class FormattedTable extends JTable {

	public FormattedTable(TableModel tm) {
		super(tm);
		setRowHeight(22);
	}

	public void setColumnRenderer(
		int columnIndex,
		TableCellRenderer renderer) {
		if (columnIndex < 0 || columnIndex > getColumnCount())
			return;

		TableColumn column = getColumnModel().getColumn(columnIndex);
		column.setCellRenderer(renderer);
	}

	public void setColumnEditor(int columnIndex, TableCellEditor editor) {
		if (columnIndex < 0 || columnIndex > getColumnCount())
			return;

		TableColumn column = getColumnModel().getColumn(columnIndex);
		column.setCellEditor(editor);
	}
}
