package com.infosys.propertyeditor.ui.formattedtable;

import java.awt.Component;

import javax.swing.AbstractCellEditor;
import javax.swing.JComponent;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

public abstract class FormattedTableEditor extends AbstractCellEditor implements TableCellEditor, FormattedTableInterface {
    
    private Object cellValue;
    private JComponent o = null;
    
    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
        cellValue = value;
        o = createComponent(table, value, isSelected, true, row, column);
        //hasFocus is true because the cell is being edited so it must have the focus.
        return o;
    }
    
	public Object getCellEditorValue() {
		return cellValue;
	}
    
}
